View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
14261Feature requestsAuthenticationpublic2021-08-19 15:43
Reportervis_kerem Assigned Tomarkusfluer 
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Summary14261: 2 factor authentication
DescriptionA two factor authentication (2FA) option to access the admin panel of limesurvey (especially for a superuser account).
Additional InformationI think this will make the database much more secure and a better compliance with the HIPAA for example.
Maybe it could be an option only for the expert account.
TagsNo tags attached.
Bug heat4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

blocka

blocka

2019-03-08 15:27

reporter   ~50855

I would be interested in potentially funding this development.
ollehar

ollehar

2019-03-11 11:53

administrator   ~50895

@markusfluer Can you comment, please? You had a plugin ready?
blocka

blocka

2019-03-11 12:38

reporter   ~50896

@ollehar I meant if someone is interested in developing a plugin for this, I may be able to fund it.
ollehar

ollehar

2019-03-11 14:07

administrator   ~50898

Yes, but there might already be a plugin. :) Markus will answer when he has time.

Issue History

Date Modified Username Field Change
2018-11-16 14:27 vis_kerem New Issue
2019-03-08 15:27 blocka Note Added: 50855
2019-03-11 11:53 ollehar Note Added: 50895
2019-03-11 12:38 blocka Note Added: 50896
2019-03-11 14:07 ollehar Note Added: 50898
2019-03-11 14:07 ollehar Assigned To => markusfluer
2019-03-11 14:07 ollehar Status new => assigned
2019-03-11 14:07 ollehar Status assigned => feedback
2021-08-19 15:43 galads Status feedback => resolved
2021-08-19 15:43 galads Resolution open => fixed